Query parameters
identifier_field string Optional
Which field to use to identify whether the resource exists or not
custom_field_reference string Optional
Which custom field to use to identify whether the resource exists or not
field_actions map from strings to strings Optional
The list of actions for specific fields.
Request This endpoint expects an object.
product_id string or null Required
The resource ID of the product, that belongs to the product item.
name string or null Required format: "^.*$"0-256 characters
reference string Required format: "^\S+$"0-256 characters
model_type enum or null Required
product object or null Optional
description string or null Optional format: "^.*$"0-256 characters
type enum or null Optional
The type of the product item.
Allowed values: REVENUE DEDUCTION
usage_based object Optional
Additional settings in case of a USAGE_BASED type.
credits object Optional
Additional settings in case of a CREDITS type.
meter_value_calculation object or null Optional
tax_category enum or null Optional
The default tax category applied to the product item.
Allowed values: STANDARD NO_TAX EXEMPT
display_order integer or null Optional
custom_fields list of objects or null Optional
Custom fields associated to this product item
agent_context object Optional
Context for AI agents about this product item. Intended for agents, not for customer-facing output.
meter_value_calculation_id string or null Optional Deprecated
The linked meter value calculation, in case of a USAGE_BASED charge type.
report_meter_value_calculation_ids list of strings or null Optional Deprecated
Optional reporting meter value calculations, in case of a USAGE_BASED charge type.
Response Created
object_type string or null Optional Read-only
id string or null Optional Read-only
product_id string or null Optional
The resource ID of the product, that belongs to the product item.
product object or null Optional
name string or null Optional format: "^.*$"0-256 characters
status enum or null Optional Read-only
Allowed values: DRAFT ACTIVE ARCHIVED DEPRECATED
reference string Optional format: "^\S+$"0-256 characters
description string or null Optional format: "^.*$"0-256 characters
type enum or null Optional
The type of the product item.
Allowed values: REVENUE DEDUCTION
model_type enum or null Optional
usage_based object Optional
Additional settings in case of a USAGE_BASED type.
credits object Optional
Additional settings in case of a CREDITS type.
meter_value_calculation object or null Optional
tax_category enum or null Optional
The default tax category applied to the product item.
Allowed values: STANDARD NO_TAX EXEMPT
display_order integer or null Optional
custom_fields list of objects or null Optional
Custom fields associated to this product item
customer_id string or null Optional Read-only
agent_context object Optional
Context for AI agents about this product item. Intended for agents, not for customer-facing output.
meter_value_calculation_id string or null Optional Deprecated
The linked meter value calculation, in case of a USAGE_BASED charge type.
report_meter_value_calculation_ids list of strings or null Optional Deprecated
Optional reporting meter value calculations, in case of a USAGE_BASED charge type.